
{: test that compare of 2 arrays causes a compile error }

{$d+}
program e016( output );

var
   s1,s2: array[1..9] of char;
begin
   s1[1] := '1';
   s2 := s1;
   if s1 = s2 then {!!! not a string}
      writeln( 'fails: array compare error not detected' );
end. { e016 }

